//BUSQUEDA DE TABAGE
var contenedorTABAGE = null;
var panelTABAGE = null, panelTABCATRUT = null;
var GridStoreTABAGE = null, gridEjercicios = null;
var currentStrId = "";
var heightDocument = 0;

function TABAGE_Constructor(intClienteSeleccionado, strClienteSeleccionado){
	//var cuerpo = Ext.getCmp('objdivAgenda');
	//cuerpo.setTitle("Expediente de " + strClienteSeleccionado);
		
	idTab = 'TABAGE';

	heightDocument = $(document).height()-45;
	console.log("heightDocument: "+ heightDocument);
	$("#divAgenda").css("height", heightDocument);
	$("#divAgenda").empty();
	
	cargarPanelTABAGE();
	
}
	  
function cargarPanelTABAGE(){
	
	$.post("vistas/tabAgenda.php", function(data){
		$("#divAgenda").html(data);
						
		setCalendario();
					
		/*$( "#divNuevaCita" ).dialog({
		  autoOpen: false,
		  position:"center top",
		  width: 560,
		  height: 630,
		  modal: true,
		  close: function() {
				//limpiarTextboxesNuevaCita();
		  }
		});*/

	});
}

//*********

function nuevoPaciente(intCase){
	
	if(intCase==0){
		$( "#divNuevaCita" ).find( "#divNuevoPaciente" ).css({"visibility":"hidden","display":"none"});
		$( "#divNuevaCita" ).find( "#divPaciente" ).css({"visibility":"visible","display":"inline-block"});
	}else if(intCase==1){
		$( "#divNuevaCita" ).find( "#divNuevoPaciente" ).css({"visibility":"visible","display":"inline-block"});
		$( "#divNuevaCita" ).find( "#divPaciente" ).css({"visibility":"hidden","display":"none"});

	}
}

function setCalendario(){
	var vista = 'month';
	console.log("setCalendario / strStartTime: "+ strStartTime +" / strEndTime: "+ strEndTime);

	$('#divCalendario').fullCalendar({
		defaultView: vista,	
		header: {
				left: 'prev,next today',
				center: 'title',
				right: 'month,agendaWeek,agendaDay'
			},
		editable: true,
		selectable: true,
		eventLimit: true,
		contentHeight: (heightDocument-100),
		googleCalendarApiKey: 'AIzaSyCS0VBI0imAtuek_VZoPmh2TfvEhDHPt64',
		businessHours: {
		  // days of week. an array of zero-based day of week integers (0=Sunday)
		  daysOfWeek: [ 1, 2, 3, 4, 5, 6 ], // Monday - Thursday

		  startTime: strStartTime, // a start time (10am in this example)
		  endTime: strEndTime, // an end time (6pm in this example)
		},
		/*resources: [
	    {
	      businessHours: {
	        daysOfWeek: [ 1, 2, 3, 4, 5 ], // Monday - Thursday
		    startTime: strStartTime, // a start time (10am in this example)
		    endTime: strEndTime, // an end time (6pm in this example)
	      }
	    }],*/
		// US Holidays
		/*events: 'en.usa#holiday@group.v.calendar.google.com',*/
		/*events: {
					googleCalendarId: '<MY GOOGLE CALENDAR ID>',
					className: 'gcal-event' 
				},*/
		select: function(start, end, allDay){
			var vista1 = $('#divCalendario').fullCalendar( 'getView' );
			if(vista1.name=="month"){
				$('#divCalendario').fullCalendar('gotoDate', start);
				$('#divCalendario').fullCalendar('changeView', 'agendaDay'); 
			}
			
		},
		dayClick: function(date, jsEvent, view) {
			
			var fecha = date.format(); //2015-05-27 o 2015-05-28T09:00:00
			var arrDays = ["Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo"];

			var d = new Date(fecha);
			var n = d.getDay();
			
			var vistaActual = $('#divCalendario').fullCalendar( 'getView' );
			if( vistaActual.name=="agendaWeek" || vistaActual.name=="agendaDay"){
				objDiaSel.fecha = fecha ;
				objDiaSel.dia = arrDays[n];
			}
			
		},
		eventClick: function(calEvent, jsEvent, view) {
		    //console.log(calEvent);

		    var intPaciente = calEvent.id;
		    var strPaciente = calEvent.title;
		    var arrFechaHora = calEvent.start._i.split(" ");
		    var strFecha = arrFechaHora[0];
		    var strHora = arrFechaHora[1];

			verCita(intPaciente, strPaciente, strFecha, strHora);
		},
		viewRender: function( view, element ) {
			if(view.name=="month"){
				$( "#divCalendarioContainer" ).find("#btnAgregarCitaCon").css({"visibility":"hidden","display":"none"});
			}else if(view.name=="agendaWeek" || view.name=="agendaDay"){
				$( "#divCalendarioContainer" ).find("#btnAgregarCitaCon").css({"visibility":"visible","display":"inherit"});
			}
			
			var d1 = view.start._d;
			var startdayObj = new Date(d1);
			var startday = startdayObj.getFullYear() + "-" + (startdayObj.getMonth()+1) + "-" + (startdayObj.getDate()+1);
			
			var d2 = view.end._d;
			var enddayObj = new Date(d2);
			var endday = enddayObj.getFullYear() + "-" + (enddayObj.getMonth()+1) + "-" + enddayObj.getDate();
			
			//console.log(view, view.start._d, " - " , new Date(view.start._d));
			
			objDiaSel = new Object();	

			getCitas();
								
		}
	});

}

var strFechaHoraNuevaCita = ""; 
function verCita(intPaciente, strPaciente, strFecha, strHora){
	console.log("verCita / intPaciente: "+ intPaciente);

	strFechaHoraNuevaCita = strFecha +" "+ strHora; 

	getDataTABCATCLI(3, intPaciente, verDetalleCita );

}

function verDetalleCita(intPaciente, strPaciente, strUrlImg){
	console.log("verDetalleCita / intPaciente: "+ intPaciente +" / strPaciente: "+ strPaciente +" / strUrlImg: "+ strUrlImg);

	$("#dialog-cita").find("#intPaciente").val(intPaciente);
    
    var strHtml = "<div style='margin-bottom:10px;'>";

    if(strUrlImg!="" && strUrlImg!=null){
    	//strHtml += "<img src='"+ strUrlImg +"' style='float:left; margin:5px 8px 10px 5px; vertical-align:middle;'/>";
    	
    	strHtml += '<div id="div1" class="clsDivsConText" style="float:left; width:158px; margin-right:10px; text-align:center;">';
            strHtml += '<img id="imgFotoPacienteCita"  src="'+ strUrlImg +'" style="width:154px; height:117px;" />';
            //strHtml += '<img id="icoCamara" onclick="abrirCamara(1)" src="assets/img/cam.png" style="width:40px; height:40px; margin: 0 auto;" />';
        strHtml += '</div>';
            
    }else{
       	strHtml += "<img src='images/icoHombre.png' style='float:left; width:158px; margin-right:10px; text-align:center; margin:5px 8px 10px 5px; vertical-align:middle;'/>";
    }

   	strHtml += "<b>"+ strPaciente +"</b>";
    
    //strHtml += "&nbsp;&nbsp; <a href='javascript: iraExpediente("+ intPaciente +");' style='background:none; border:none; margin-top:6px;'><img src='images/icoOjo.png' style='vertical-align:middle;' border='none'/></a></div>";
    strHtml += "&nbsp;&nbsp; <a href='javascript: iraExpediente("+ intPaciente +");' style='background:none; border:none; margin-top:6px;'><i class='fa fa-eye clsIcoI' onclick='modificarControles(0)'></i></a></div>";
    strHtml += "<div style='margin-bottom:10px;'>Fecha y hora</div>";
    strHtml += "<div style='margin-bottom:10px; font-size:14px; font-weight:bold;'>"+ strFechaHoraNuevaCita +"</div>";
    
    $("#dialog-cita").find("#divDetalleCita").html(strHtml);
    $("#dialog-cita").dialog("open");
}

function iraExpediente(intPaciente){
	console.log("iraExpediente / intPaciente: "+ intPaciente);
	
    $("#dialog-cita").dialog("close");

	verExpediente(1, intPaciente);
}

function dateCheck(check, today) { //  DD/MM/YYYY
	var from = startPeriodoActivo.split("-")[2] +"/"+ startPeriodoActivo.split("-")[1] +"/"+ startPeriodoActivo.split("-")[0];
	var to = endPeriodoActivo.split("-")[2] +"/"+ endPeriodoActivo.split("-")[1] +"/"+ endPeriodoActivo.split("-")[0];
	//console.log(from, to);
	
    var fDate,lDate,cDate;
    fDate = Date.parse(from);
    lDate = Date.parse(to);
    cDate = Date.parse(check);

    if((cDate <= lDate && cDate >= fDate)) {
		if(today!=null){
			today = Date.parse(today);
			//console.log("Fecha a checar (cDate) = " + cDate +" | today = "+ today +" | from = "+ fDate +" | to = "+ lDate);
			
			if((cDate > today && cDate<lDate )) {
				//console.log("La fecha es mayor al dia de hoy");
				return true;	
			}
		}else{
			//console.log("Fecha a checar (dDate) = " + cDate +" | from"+ fDate +" | to"+ lDate);

        	return true;
		}
    }
	
    return false;
}

function getCitas(){
	
	var view = $('#divCalendario').fullCalendar('getView');
	//console.log("view = " , view);
	var d1 = view.start._d;
	var startdayObj = new Date(d1);
	var startday = startdayObj.getFullYear() + "-" + (startdayObj.getMonth()+1) + "-" + (startdayObj.getDate()+1);
	
	var d2 = view.end._d;
	var enddayObj = new Date(d2);
	var endday = enddayObj.getFullYear() + "-" + (enddayObj.getMonth()+1) + "-" + enddayObj.getDate();

	// -------- ---------- ----------- ---------- --------- --------- ------ -------- --------
	$('#divCalendario').fullCalendar( 'removeEvents' );
	
	var arrEvents = null;	
	//bloquearBotones(1);
	
	//getRutinasMes(startday, endday);
	//var strUrl = "data/dataCitas.php?method=consultar&method2=getdia&intCliente="+ intClienteSeleccionado +"&datFecha="+ fecha +"&rnd="+ Math.random();
	var strUrl = "data/dataCitas.php?method=consultar&method2=getmes&intEmpresa="+ objUsuario.empresa +"&datFecha1="+ startday +"&datFecha2="+ endday +"&rnd="+ Math.random();
	
	console.log("getCitas, strUrl = " + strUrl);
	
	$.post(strUrl, function(dataNew){
		
		var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		
		/*var sColor = '#3F0';	

		arrEvents.push(
			{
				start: startPeriodoActivo,
				end: endPeriodoActivo,
				rendering: 'background',
				color: sColor
			}
		);	*/
		
		$('#divCalendario').fullCalendar( 'removeEvents' );
		$('#divCalendario').fullCalendar( 'addEventSource', arrEvents );
		$('#divCalendario').fullCalendar( 'rerenderEvents' );
		$('#divCalendario').fullCalendar( 'refetchEvents' );

	});
}

function vistaRapidaCita(intEjercicio, intCase){
	//var strHeightDetail = '380px'; // for the container of detail
	var strHeightDetail = 'auto'; // for the container of detail
	var sHtml = "";
	
	for(var i=0; i<arrEjerciciosRutina.length;i++){
		
		if(arrEjerciciosRutina[i].intEjercicio==intEjercicio){
			$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).removeClass('clsTblRutinasVistaRapidaTd1');
			$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).addClass('bordeSup');
			
			if(arrEjerciciosRutina[i].strUrlImagen1!=""){
				
				sHtml += "<div id='divDetalleSmallImgs' style='width:auto; float:left; margin:0px; margin-left:3px; height:"+ strHeightDetail +";'>";
					//if(arrEjerciciosRutina[i].strUrlImagen1!=""){
					//	sHtml += "<div style='width:90px; float:left; margin:3px;'><img src='" + arrEjerciciosRutina[i].strUrlImagen1 + "' width='87' height='75' onclick='changePic(1,\"" + arrEjerciciosRutina[i].strUrlImagen1 + "\")' style='cursor:pointer;'/></div>"
					//}
					if(arrEjerciciosRutina[i].strUrlImagen2!=""){
						sHtml += "<div style='width:90px; float:left; margin:3px; margin-left:0px;'><img src='" + arrEjerciciosRutina[i].strUrlImagen2 + "' width='87' height='75' onclick='changePic(1,\"" + arrEjerciciosRutina[i].strUrlImagen2 + "\")' style='cursor:pointer;'/></div>"
					}
					if(arrEjerciciosRutina[i].strUrlImagen3!=""){
						sHtml += "<div style='width:90px; float:left; margin:3px; margin-left:0px;'><img src='" + arrEjerciciosRutina[i].strUrlImagen3 + "' width='87' height='75' onclick='changePic(1,\"" + arrEjerciciosRutina[i].strUrlImagen3 + "\")' style='cursor:pointer;'/></div>"
					}
					if(arrEjerciciosRutina[i].strUrlImagen4!=""){
						sHtml += "<div style='width:90px; float:left; margin:3px; margin-left:0px;'><img src='" + arrEjerciciosRutina[i].strUrlImagen4 + "' width='87' height='75' onclick='changePic(1,\"" + arrEjerciciosRutina[i].strUrlImagen4 + "\")' style='cursor:pointer;'/></div>"
					}
					if(arrEjerciciosRutina[i].strUrlVideo!=""){
						sHtml += "<div style='width:90px; float:left; margin:3px; margin-left:0px;'><img src='images/youtube_logo.jpg' width='87' height='75' onclick='changePic(2,\"" + arrEjerciciosRutina[i].strUrlVideo + "\")' style='cursor:pointer;'/></div>"
					}	
				sHtml += "</div>";
			
				sHtml += "<div id='divDetalleBigImg' style='width:280px; float:left; margin:3px; height:"+ strHeightDetail +";'>";
					sHtml += "<img id='imgGrande' src='" + arrEjerciciosRutina[i].strUrlImagen1 + "' width='275' height='270' style='visibility: visible; display:inherit;'/>";
					sHtml += '<iframe id="iframeVideo" width="275" height="270" style="border:1px solid #666; visibility: hidden; display:none;" src="" frameborder="0" allowfullscreen></iframe>';
				sHtml += "</div>";
				
				sHtml += "<div id='divDetalleTipo' style='width:200px; float:left; margin:3px; height:"+ strHeightDetail +";'>";
					sHtml += "<b>Tipo</b><br/><br/>" + arrEjerciciosRutina[i].strTipo;
				sHtml += "</div>";
				
				sHtml += "<div id='divDetalleDescription' style='width:690px; float:left; margin:3px; height:"+ strHeightDetail +";'>";
					//sHtml += "<font size='4'><img src='images/icoClose.png' onclick='cerrarthis("+ intEjercicio +")' align='absmiddle' style='cursor:pointer; margin-top:6px;'/>&nbsp;&nbsp;<b>" + arrEjerciciosRutina[i].strEjercicio + "</b></font><br/><br/>";
					sHtml += "<b>Posicion Inicial</b><br/>" + replaceNumerosDesEjer(arrEjerciciosRutina[i].strPosicionInicial) + "<br/><br/>";
					sHtml += "<b>Descripcion</b><br/>" + replaceNumerosDesEjer(arrEjerciciosRutina[i].strDescripcion) + "<br/><br/>";
					sHtml += "<b>Notas</b><br/>" + replaceNumerosDesEjer(arrEjerciciosRutina[i].strNotas) + "<br/><br/>";
				sHtml += "</div>";
				
				sHtml += "<div id='divDetalleFoot' style='width:80%; margin-left:110px; margin-bottom:10px; padding-left:10px; float:left; height:30px; background:#fff;'>Compartir en Facebook</div>";
			}
			
			if(intCase==null){
				$('#liDetalle_'+ arrEjerciciosRutina[i].intEjercicio).css({ "visibility": "hidden", "display":"none" });
			}

		}else{
			
			$("#ulRutinasVistaRapida").find('#li_'+ arrEjerciciosRutina[i].intEjercicio ).find( '#tr_'+ arrEjerciciosRutina[i].intEjercicio ).addClass('clsTblRutinasVistaRapidaTd1');
			$("#ulRutinasVistaRapida").find('#li_'+ arrEjerciciosRutina[i].intEjercicio ).find( '#tr_'+ arrEjerciciosRutina[i].intEjercicio ).removeClass('bordeSup');

			$('#liDetalle_'+ arrEjerciciosRutina[i].intEjercicio).html( '' );
			$('#liDetalle_'+ arrEjerciciosRutina[i].intEjercicio).css({ "visibility": "hidden", "display":"none" });
					
		}
	}//for

	var liObj = $('#liDetalle_'+ intEjercicio);
	var sHtmlActual = $.trim(liObj.html());
	
	if(sHtmlActual===''){ //Si esta en blanco
		liObj.html( sHtml );
		
		liObj.css({ "visibility": "visible", "display":"block", "height":320 });
		
		$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).removeClass('clsTblRutinasVistaRapidaTd1');
		$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).addClass('bordeSup');

	}else{
		if(intCase==null){
			liObj.html( '' );
			liObj.css({ "visibility": "hidden", "display":"none", "height":0});
			
			$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).removeClass('bordeSup');
			$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).addClass('clsTblRutinasVistaRapidaTd1');
		}else{
			for(var i=0; i<arrEjerciciosRutina.length; i++){
		
				if(arrEjerciciosRutina[i].intEjercicio == intEjercicio){
					console.log("Entro linea 705");
					
					changePic(1, arrEjerciciosRutina[i].strUrlImagen1 );
					
					break;
				}
			}
		}
	}
}

function guardarCitaTABAGE(){
	var strMsg  = "";
	var txtFecha = $("#divNuevaCita").find("#txtFecha").val();
	//var intCliente = $("#divNuevaCita").find("#txtPaciente").val();
	var intCliente = $("#divNuevaCita").find("#hidIntPaciente").val();
	
	if(strMsg==""){
		var strUrl = "data/dataCitas.php?method=insertar&intMode=1&intEmpresa="+ objUsuario.empresa +"&datFecha="+ txtFecha +"&intCliente="+ intCliente +"&intUsuario="+ objUsuario.id +"&rnd="+ Math.random();
		
		console.log("guardarCitaTABAGE, strUrl = " + strUrl);
		
		$.post(strUrl, function(dataNew){
			
			var data = $.parseJSON(dataNew);
			var exito = data.exito;
			var msg = data.msg;
			
			if(exito=="si"){
				cargarPanelTABAGE();
				$("#divNuevaCita").find("#hidIntCliente").val('');
				
			}else if(exito=="no"){
				
			}
			
			alert(msg);
			
		});
		
	}else{
		alert(strMsg);
	}
	
}

function cerrarthis( intEjercicio ){
	var liObj = $('#liDetalle_'+ intEjercicio);
	
	//liObj.css({"height":"0", "background-color":"#EAEAEA"});
	liObj.css({"height":"0"});
	liObj.html( '' );
	
	//$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).removeClass('clsTblRutinasVistaRapidaTd2');
	$("#ulRutinasVistaRapida").find('#li_'+ intEjercicio ).find( '#tr_'+ intEjercicio ).addClass('clsTblRutinasVistaRapidaTd1');

}

function redactarMsg(intOrigen, intEjercicio, strEjercicio){
	var strTitle = intEjercicio +" - "+ strEjercicio;
	
	getMensajes(2, intEjercicio, intOrigen); //intOrigen - 1 = Ejercicios, 2 = Alimentos
	
	$( "#divNuevoMensaje2" ).find("#btnEnviarMensaje2").unbind();
	
	$( "#divNuevoMensaje2" ).find("#btnEnviarMensaje2").bind("click", function() {
		enviarMensaje(2, intOrigen);
	});

	$( "#spanTitleEjercicio" ).html(strTitle);
	$( "#divMensajesEjercicio" ).dialog("open");
}

function onchangeCheck(tipo, intId, checkbox){
	if(tipo==1){ //rutina
		var strUrl = "data/dataRutinas.php?method=actualizar&intId="+ intId +"&bitRealizada="+ checkbox.checked +"&rnd="+ Math.random();
		var strTipo = "rutina";
	}else if(tipo==2){ //dieta
		var strUrl = "data/dataDietas.php?method=actualizar&intId="+ intId +"&bitRealizada="+ checkbox.checked +"&rnd="+ Math.random();
		var strTipo = "dieta";
	}
	
	var fecha2 = diaSeleccionado.split(" - ")[0];
	var todayDate = new Date();
	var today = todayDate.getDate() +"/"+ (todayDate.getMonth()+1) + "/" + todayDate.getFullYear() ;				
	var newDate = fecha2.split("-")[2] +"/"+ fecha2.split("-")[1] +"/"+ fecha2.split("-")[0];
	
	////////
    var cDate;
    cDate = Date.parse(newDate);
	today = Date.parse(today);

	if((cDate < today )) {
		console.log(strUrl);
		
		$.post(strUrl, function(dataNew){
			console.log(dataNew);
		});
		
	}else{
		checkbox.checked = false;
		alert("No se puede actualizar una "+ strTipo + " del dia de hoy o posterior.");
	}
}

function changePic(caso, url){
	if(caso==1){
		$('#imgGrande').prop("src", url);
		$('#imgGrande').css({"visibility": "visible", "display":"inherit" });
		$('#iframeVideo').prop("src", "" );
		$('#iframeVideo').css({"visibility": "hidden", "display":"none" });
	}else if(caso==2){
		$('#iframeVideo').prop("src", "http://www.youtube.com/embed/"+ url );
		$('#iframeVideo').css({"visibility": "visible", "display":"inherit" });
		$('#imgGrande').css({"visibility": "hidden", "display":"none" });
	}
}

function limpiarTextboxesTABAGE(){
	$( "#dialog-ejercicio" ).find( "#txtintEjercicio" ).val('');
	$( "#dialog-ejercicio" ).find( "#txtNombre" ).val('');
	$( "#dialog-ejercicio" ).find( "#txtPosicionInicial" ).val('');
	$( "#dialog-ejercicio" ).find( "#txtDescripcion" ).val('');
	$( "#dialog-ejercicio" ).find( "#txtNotas" ).val('');
	$( "#dialog-ejercicio" ).find( "#selectMusculo" ).val('');
	$( "#dialog-ejercicio" ).find( "#selectActivo" ).val('');
	
	if(objUsuario.tipo==1){
		limpiarCheckboxes();
	}

	$( "#imgejercicio1" ).attr("src", '');
	$( "#imgejercicio2" ).attr("src", '');
	$( "#imgejercicio3" ).attr("src", '');
	$( "#imgejercicio4" ).attr("src", '');
	
	currentStrId = "";
	
	setUrlVideo('');
	
}

function limpiarCheckboxes(){
	for (var i=0; i<arrMusculosEjer.length; i++) {
		document.getElementById('chkMusculo_' + arrMusculosEjer[i].id ).checked = false;
	}
}

function showImg(objImg){
	window.open(objImg.src, 'imagenCatalogo');
}
